From 1690624051a75b95592fb1c497a0a8844cbd1c64 Mon Sep 17 00:00:00 2001
From: Rakesh Ughreja <rakesh.a.ughreja@intel.com>
Date: Wed, 18 Oct 2017 04:46:46 +0530
Subject: [PATCH] ALSA: hda: Abort capability probe at invalid register read

In the case of unknown capability break the loop by setting the
current capability to zero

Signed-off-by: Rakesh Ughreja <rakesh.a.ughreja@intel.com>
---
 sound/hda/hdac_controller.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/sound/hda/hdac_controller.c b/sound/hda/hdac_controller.c
index 978dc18..86c2b4c 100644
--- a/sound/hda/hdac_controller.c
+++ b/sound/hda/hdac_controller.c
@@ -315,6 +315,7 @@ int snd_hdac_bus_parse_capabilities(struct hdac_bus *bus)
 
 		default:
 			dev_dbg(bus->dev, "Unknown capability %d\n", cur_cap);
+			cur_cap = 0;
 			break;
 		}
 
-- 
2.7.4

